Subject: Re: bug#4463: vc-do-command return value when using 'async

From: Stefan Monnier <[email-masked]>
Date: Thu, 17 Sep 2009 14:05:45 -0400

> When passing 'async to vc-do-command there's no reliable way to
> determine the exit status for the command.

> When using (vc-do-command 'async BLAG) it is possible that by the time
> the next command is executed the process has finished and it's not
> possible to retrieve the process return value.

> The patch below change vc-do-command to return the process for the async
> case, that way the use has a handle to use in case the return value is
> needed.

If you've checked that returning a process object won't trip up any of
the callers, feel free to install the change.

        Stefan